GDB (xrefs)

Public Attributes | List of all members
m32c_prologue Struct Reference

## Public Attributes
struct gdbarch * | arch
enum m32c_prologue_kind | kind
LONGEST | frame_ptr_offset
LONGEST | frame_size
CORE_ADDR | prologue_end
LONGEST | reg_offset [M32C_MAX_NUM_REGS]

## Detailed Description

Definition at line 1013 of file m32c-tdep.c.

## Member Data Documentation

## ◆ arch

struct gdbarch* m32c_prologue::arch

Definition at line 1020 of file m32c-tdep.c.

Referenced by check_for_saved(), and m32c_analyze_prologue().

## ◆ frame_ptr_offset

LONGEST m32c_prologue::frame_ptr_offset

Definition at line 1027 of file m32c-tdep.c.

Referenced by m32c_analyze_prologue(), m32c_frame_base(), and m32c_virtual_frame_pointer().

## ◆ frame_size

LONGEST m32c_prologue::frame_size

Definition at line 1042 of file m32c-tdep.c.

Referenced by m32c_analyze_prologue(), m32c_frame_base(), and m32c_virtual_frame_pointer().

## ◆ kind

enum m32c_prologue_kind m32c_prologue::kind

Definition at line 1022 of file m32c-tdep.c.

Referenced by m32c_analyze_prologue(), m32c_frame_base(), and m32c_virtual_frame_pointer().

## ◆ prologue_end

CORE_ADDR m32c_prologue::prologue_end

Definition at line 1047 of file m32c-tdep.c.

Referenced by m32c_skip_prologue().

## ◆ reg_offset

LONGEST m32c_prologue::reg_offset[M32C_MAX_NUM_REGS]

Definition at line 1052 of file m32c-tdep.c.

Referenced by m32c_analyze_prologue(), and m32c_prev_register().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/m32c-tdep.c